When configuring the Workflow solution for Duet Enterprise using the following command lineDuetConfig.exe /ConfigureSolution "Workflow" /webappurl http://duetserver.com:80

You may encounter an error similar to the following:

“Error: Unable to configure solution.
One or more dependent entities [WorkflowUserSubscription, SAP.Office.DuetEnterprise.Workflow, 1.0.2.0] is missing.”

Additionally, if you manually use STSADM to deploy the package you’ll notice that the assembly version of the workflow assembly in the workflow solution WSP is version 1.0.1.0.

The following entry will be in the BDC model imported from the SAP system:

Entity Namespace="SAP.Office.DuetEnterprise.Workflow" Version="1.0.1.0" EstimatedInstanceCount="10000"

Cause:

There is a version mismatch between the installed SAP and SharePoint implementations. The SAP implementation was installed using the Duet Enterprise 1.01 bits to install while the SharePoint was configured using the Duet Enterprise 1.02 bits.

Resolution:

The corrective action is to upgrade the SAP installation to SP2 (Available from SAP) and re-import BCS definitions into SharePoint, which should fix the version checks done during workflow install.